// {{{ copyright

/********************************************************************
 *
 * Copyright (C) 1999 Gregor Schmid, Quality First Software
 * All rights reserved
 *
 *******************************************************************/

// }}}

package de.qfs.lib.gui;

// {{{ imports

import java.awt.AWTEvent;

// }}}

/**
 * An EventFilter filters events that are posted to the event queue.
 *
 * @author      Gregor Schmid
 */
public interface EventFilter
{
    /**
     * Filter events posted to the event queue.
     *
     * @param   event   The event that has been posted.
     *
     * @return  True, if the event should be processed, false if it should be
     *          ignored.
     */
    public boolean filter (AWTEvent event);
}
